ICU 68.2: icu::number::impl::RangeMacroProps Struct Reference

ICU 68.2 68.2

Public Member Functions | Data Fields
icu::number::impl::RangeMacroProps Struct Reference

`#include <numberrangeformatter.h>`

Inheritance diagram for icu::number::impl::RangeMacroProps:

## Public Member Functions
bool | copyErrorTo (UErrorCode &status) const
| Check all members for errors. More...

## Data Fields
UnlocalizedNumberFormatter | formatter1
UnlocalizedNumberFormatter | formatter2
bool | singleFormatter = true
UNumberRangeCollapse | collapse = UNUM_RANGE_COLLAPSE_AUTO
UNumberRangeIdentityFallback | identityFallback = UNUM_IDENTITY_FALLBACK_APPROXIMATELY
Locale | locale

## Detailed Description

Internal:
  Do not use. This API is for internal use only.

Definition at line 93 of file numberrangeformatter.h.

## Member Function Documentation

## ◆ copyErrorTo()

bool icu::number::impl::RangeMacroProps::copyErrorTo | ( | UErrorCode & | status | ) | const
| inline

Check all members for errors.

Internal:
  Do not use. This API is for internal use only.

Definition at line 118 of file numberrangeformatter.h.

References icu::number::NumberFormatterSettings< Derived >::copyErrorTo().

## Field Documentation

## ◆ collapse

UNumberRangeCollapse icu::number::impl::RangeMacroProps::collapse = UNUM_RANGE_COLLAPSE_AUTO

Internal:
  Do not use. This API is for internal use only.

Definition at line 104 of file numberrangeformatter.h.

## ◆ formatter1

UnlocalizedNumberFormatter icu::number::impl::RangeMacroProps::formatter1

Internal:
  Do not use. This API is for internal use only.

Definition at line 95 of file numberrangeformatter.h.

## ◆ formatter2

UnlocalizedNumberFormatter icu::number::impl::RangeMacroProps::formatter2

Internal:
  Do not use. This API is for internal use only.

Definition at line 98 of file numberrangeformatter.h.

## ◆ identityFallback

UNumberRangeIdentityFallback icu::number::impl::RangeMacroProps::identityFallback = UNUM_IDENTITY_FALLBACK_APPROXIMATELY

Internal:
  Do not use. This API is for internal use only.

Definition at line 107 of file numberrangeformatter.h.

## ◆ locale

Locale icu::number::impl::RangeMacroProps::locale

Internal:
  Do not use. This API is for internal use only.

Definition at line 110 of file numberrangeformatter.h.

## ◆ singleFormatter

bool icu::number::impl::RangeMacroProps::singleFormatter = true

Internal:
  Do not use. This API is for internal use only.

Definition at line 101 of file numberrangeformatter.h.

The documentation for this struct was generated from the following file:

- numberrangeformatter.h